//This function grabs data of a movie or series based on its ID after selecting it with autocomplete

function showData(id) {
	
	$.ajax({
		url: "http://www.omdbapi.com/",
		dataType: "jsonp",
		data: {
			i: id,
			plot: "full"
		},
		success: function( data ) {
			
			//This determines the number of full stars and hollow stars in the ratings section
			var stars = "";
			for (i = 0; i < 10; i++) {
				var isFullStar = i <= Math.round(data.imdbRating) ? "class='full'" : "";
				stars += "<star "+isFullStar+"></star>";
			}
			var imgx = "<ul class='grow'><li><img src='' rel='"+data.Poster+"' class='giveMeimg' code='007'/></li>";
			
			$("#data").html(imgx +" \
			<li> \
				<h1>" + data.Title + " <span>(" + data.Year + ")</span></h1></li> \
				<li><h2><span>" + data.Type + " - " + data.Genre + "&nbsp;</span></h2></li><li><span>" + data.Rated + " | " + data.Runtime + "</span></li> \
				\
				<li><h3 style='font-size:14px;font-weight:bold'>Creators:</h3> <br><span style='font-size:14px;font-weight:bold'>Director(s): " + data.Director + " </span></li> <li><span style='font-size:14px;font-weight:bold'>Writer(s): " + data.Writer + "</span></li> \
				<li><h3 style='font-size:14px;font-weight:bold'>Actors:</h3><span> " + data.Actors + "</span></li>  \
				\
				<li><span style='font-size:14px;font-weight:bold'>Language: " + data.Language + "</span></li> <li><span style='font-size:14px;font-weight:bold'>Country: " + data.Country + "</span></li> \
				<li><span style='font-size:14px;font-weight:bold'>" + data.Awards + "</span></li> \
			 \
			<li><span class='stars'>" + stars + "</li><li><em>from " + data.imdbVotes + " Users</em> </span></li><li style='font-size:9px;'>" + data.Plot + "</li></ul> \
			").addClass('show')
			
			
			    var list = document.querySelector( 'ul' );
				var type = window.location.search.slice( 1 ) || 'grow';
	
				list.className = type;
				
				window.addEventListener( 'resize', updateHeight, false );
	
				updateHeight();
	
				function updateHeight() {
					list.style.height = window.innerHeight + 'px';
					stroll.bind( 'ul' );
				}
				
				getMoviePoster();
					//$("li[id=img]").css("style","backgroung-image:url('"+data.Poster+"'); height:'250px'");
				
		}
		
		 
	});
	
}

$(document).ready(function() {

	$("#movie-search").select().autocomplete({

		source: function( request, response ) {

			$.ajax({
				url: "http://www.omdbapi.com/",
				dataType: "jsonp",
				data: {
					s: request.term
				},
				success: function( data ) {

					var query = [];

					for (i = 0; i < data.Search.length;i ++) {

						query.push({
							value: data.Search[i].Title,
							label: data.Search[i].Title,
							desc: data.Search[i].Year,
							type: data.Search[i].Type,
							id: data.Search[i].imdbID
						})

					}

					response(query);
					
				}
			});
		
		},
		minLength: 2,
		select: function( event, ui ) {
			showData(ui.item.id);
		}
		
	}).autocomplete( "instance" )._renderItem = function( ul, item ) {
		return $( "<li>" )
		.append( "<a>" + item.label + "<br> <div class='search-desc'><span>" + item.type + "</span><span>" + item.desc + "&nbsp;&nbsp;&nbsp;</span></div></a>" )
		.appendTo( ul );
	};

})